---
id: 66eb499511810e932ca7eecc
title: Step 12
challengeType: 1
dashedName: step-12
---

# --description--

The next portion of the workshop will review how to round numbers to the nearest whole integer.

Start by adding a `console.log()` that logs the message `"The Math.round() method rounds the value to the nearest whole integer."` to the console.

# --hints--

You should log the message `"The Math.round() method rounds the value to the nearest whole integer."` to the console.

```js
assert.match(code, /console\.log\((['"])The\s+Math\.round\(\)\s+method\s+rounds\s+the\s+value\s+to\s+the\s+nearest\s+whole\s+integer\.\1\)/);
```

# --seed--

## --seed-contents--

```js
const botName = "MathBot";
const greeting = `Hi there! My name is ${botName} and I am here to teach you about the Math object!`;

console.log(greeting);

console.log("The Math.random() method returns a pseudo random number greater than or equal to 0 and less than 1.");

const randomNum = Math.random();
console.log(randomNum);

console.log("Now, generate a random number between two values.");

const min = 1;
const max = 100;

const randomNum2 = Math.random() * (max - min) + min;
console.log(randomNum2);

console.log("The Math.floor() method rounds the value down to the nearest whole integer.");

const numRoundedDown = Math.floor(6.7);
console.log(numRoundedDown);

console.log("Now, generate a random integer between two values.");

const randomInt = Math.floor(Math.random() * (max - min) + min);
console.log(randomInt);

console.log("The Math.ceil() method rounds the value up to the nearest whole integer.");

const numRoundedUp = Math.ceil(3.2);
console.log(numRoundedUp);

--fcc-editable-region--

--fcc-editable-region--
```
